const playerToUpdateId = new ObjectId("65c4d2e6b3c72d3c45a77777");

db.spieler.updateOne(
  { _id: playerToUpdateId },
  {
    $set: {
      gesamtpunktzahl: 3000,
      rang: 1,
    },
    $push: {
      spielstatistiken: {
        spiel_id: new ObjectId("65c4d2e6b3c72d3c45a66666"),
        punktzahl: 500,
        siege: 15,
        niederlagen: 5,
        k_d_ratio: 2.0,
        spielzeit_minuten: 300,
        letztes_spiel: new Date(),
      },
    },
  }
);

db.spiele.updateMany(
  {
    $or: [{ genre: "Tactical Shooter" }, { genre: "Battle Royale" }],
  },
  {
    $set: {
      version: "2.0",
      letztes_update: new Date(),
    },
  }
);

db.achievements.replaceOne(
  { name: "First Blood" },
  {
    name: "First Blood Pro",
    beschreibung: "Erziele den ersten Kill in 100 Spielen",
    punktewert: 500,
    schwierigkeit: "Sehr Hoch",
    errungen_von: [],
    anforderungen: {
      anzahl_spiele: 100,
      zeitlimit_tage: 30,
      mindest_kdRatio: 1.5,
    },
  }
);
